%define major 3
%define libname %mklibname goocanvas %major
%define develname %mklibname -d goocanvas

%define url_ver %(echo %version | cut -d. -f1,2)

Name: goocanvas
Version: 1.0.0
Release: %mkrel 2
Summary: New canvas widget for GTK+ that uses the cairo 2D library
Group: Development/GNOME and GTK+
License: LGPL+
URL: http://sourceforge.net/projects/goocanvas
Source: http://ftp.gnome.org/pub/GNOME/sources/goocanvas/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires: gtk+2-devel
BuildRequires: gnome-doc-utils
BuildRequires: intltool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GooCanvas is a new canvas widget for GTK+ that uses the cairo 2D library for 
drawing. It has a model/view split, and uses interfaces for canvas items and 
views, so you can easily turn any application object into canvas items.

%package -n %{libname}
Summary: New canvas widget for GTK+ that uses the cairo 2D library
Group: System/Libraries
Requires: %{name}-i18n >= %{version}
Provides: lib%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the shared library for goocanvas.

%package i18n
Summary: New canvas widget for GTK+ that uses the cairo 2D library
Group: System/Internationalization

%description i18n
This package contains the translations for goocanvas.

%package -n %{develname}
Summary: New canvas widget for GTK+ that uses the cairo 2D library
Group: Development/Libraries
Requires: %{libname} = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the development libraries, include files 
and documentation.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make LIBS=-lm

%install
rm -rf %{buildroot}
%makeinstall

rm -f %{buildroot}/%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc README COPYING AUTHORS
%{_libdir}/libgoocanvas.so.%{major}*

%files i18n -f %{name}.lang

%files -n %{develname}
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/%name
%{_includedir}/%{name}-1.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Fri Aug 22 2014 bb <bb> 1.0.0-2pclos2014
- rebuild
- drop la files
- disable static
